Now running Wordpress 2.5

less than 1 minute read

I’ve just upgraded the blog to Wordpress 2.5.

I’ve got to say the new administration interface is brilliant. It looks good, is layed out intelligently, and it just makes me want to use it more and more! I’m also glad that the Wordpress folks decided to add full tag management. So far I’d been using SimpleTags for this job.

All in all the upgrade went smoothly except for one thing: the Admin-SSL plugin doesn’t work in Wordpess 2.5. And I’m not the only one who has noticed this. I consider this plugin to be a necessity (it’s good to be anal about security!). I might have a crack at fixing this problem myself.

Update (April 6th): Looks like I won’t need to fix Admin-SSL myself. Grab the fix from Ben Green.

Leave a Comment